Katello - Bug #6530

Specifying only proxy-url and proxy-port during install leads to errors during installation
07/08/2014 12:33 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Installer
Target version: Katello 2.0
Difficulty: trivial Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1117410 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/84
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1117410
Description of problem:

Version-Release number of selected component (if applicable):
Satellite 6.0.3

How reproducible:
Setup: Internal network, only http(s)-Proxy allowed, Fresh install, Satellite 6 Beta prerequisites met.
1. katello-installer --katello-proxy-url=http://myproxy --katello-proxy-port=8080

1. Content -> Red Hat Subscriptions -> Import manifest ...
2. Content -> Red Hat Repositories -> (random repo, | tried "Red Hat Enterprise Linux 6 Server (RPMs)")
> Endless turning wheel

3. Reloading the Red Hat Repositories site shows me that repository marked for sync.

4. Checking sync status: Content -> Sync status actually shows me the HTTP 500 Error.

Log file:

> /var/log/httpd/foreman-ssl_error_ssl.log <==

[Mon Jul 07 19:05:50 2014] [error] [client 172.23.8.1] mod_wsgi (pid=6885): Exception occurred processing WSGI script
'/srv/pulp/webservices.wsgi'.

[Mon Jul 07 19:05:50 2014] [error] [client 172.23.8.1] TypeError: 'NoneType' object is not callable

> /var/log/httpd/foreman-ssl_access_ssl.log <

172.23.8.1 - - [07/Jul/2014:19:05:50 +0200] "POST /pulp/api/v2/repositories/search/ HTTP/1.1" 500 343 "-" "Ruby"

212.0.27.18 - - [07/Jul/2014:19:05:50 +0200] "GET /katello/sync_management HTTP/1.1" 500 441
"https://$HOSTNAME/katello/providers/redhat_provider" "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko)
Chrome/35.0.1916.153 Safari/537.36"

Actual results:
Under Administer -> Content Notices you see a HTTP 500 Error.

Expected results:
no error

Associated revisions

Revision b57e9250 - 07/08/2014 02:56 PM - Eric Helms
Fixes #6530: Ensure proxy configs work if not all values specified.
If only host or port were specified, a trailing coma resulted in the

configs causing Pulp to fail to start since the JSON was considered
invalid.
Revision c9e760fc - 07/14/2014 04:28 PM - Eric Helms
Merge pull request #21 from ehelms/fixes-6530

Fixes #6530: Ensure proxy configs work if not all values specified.

Revision 7e1e61f2 - 07/15/2014 03:27 PM - Eric Helms
Refs #6530: Ensure null for proxy_port if not defined.

Revision df6e3f2f - 07/23/2014 12:37 PM - Eric Helms
Merge pull request #22 from ehelms/refs-6530
Refs #6530: Ensure null for proxy_port if not defined.

Revision 75be7cc6 - 07/25/2014 10:25 AM - Eric Helms
Fixes #6530: Update proxy configurations for Pulp.

Revision a789ae2b - 07/25/2014 10:52 AM - Eric Helms
Merge pull request #84 from ehelms/fixes-6530

Fixes #6530: Update proxy configurations for Pulp.

History

#1 - 07/08/2014 02:55 PM - Eric Helms

- Status changed from New to Assigned

- Target version set to 49

- translation missing: en.field_release set to 13
- Difficulty set to trivial

- Triaged changed from No to Yes

#2 - 07/15/2014 04:54 PM - Eric Helms

- Pull request https://github.com/Katello/katello-installer/pull/84 added

#3 - 07/16/2014 09:58 AM - Eric Helms
- Status changed from Assigned to Ready For Testing

#4 - 07/25/2014 11:01 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installer|75be7cc6d89be4b82e830c8a79eaa8f74c86cc56.
